ServerEvents.recipes(event => {

    event.shaped('compactmachines:machine_tiny', [
        "AAA",
        "ABA",
        "AAA"
    ], {
        A:'compactmachines:wall',
        B:'projecte:red_matter'
    })

    event.shaped('compactmachines:machine_small', [
        "AAA",
        "ABA",
        "AAA"
    ], {
        A:'compactmachines:machine_tiny',
        B:'projectexpansion:magenta_matter'
    })

    event.shaped('compactmachines:machine_normal', [
        "AAA",
        "ABA",
        "AAA"
    ], {
        A:'compactmachines:machine_small',
        B:'projectexpansion:pink_matter'
    })

    event.shaped('compactmachines:machine_large', [
        "AAA",
        "ABA",
        "AAA"
    ], {
        A:'compactmachines:machine_normal',
        B:'projectexpansion:purple_matter'
    })

    event.shaped('compactmachines:machine_giant', [
        "AAA",
        "ABA",
        "AAA"
    ], {
        A:'compactmachines:machine_large',
        B:'projectexpansion:violet_matter'
    })

    event.shaped('compactmachines:machine_maximum', [
        "AAA",
        "ABA",
        "AAA"
    ], {
        A:'compactmachines:machine_giant',
        B:'projectexpansion:blue_matter'
    })
})